Bug 1465081 - Formatting of Provider summary PDF file generated from provider summary page is very broken
Formatting of Provider summary PDF file generated from provider summary page ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: 5.7.4
Assigned To: lgalis
Jan Krocil
: Regression, ZStream
Depends On: 1447940
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 11:37 EDT by Satoe Imaishi
Modified: 2017-12-18 15:26 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1447940
Environment:
Last Closed: 2017-12-18 15:26:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2017-07-07 15:30:57 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/7983e694dd0e087eb2566a88d3d36602c0ad9935

commit 7983e694dd0e087eb2566a88d3d36602c0ad9935
Author:     Eric Hayes <eric@erichayes.net>
AuthorDate: Mon Jul 3 16:42:17 2017 -0400
Commit:     Eric Hayes <eric@erichayes.net>
CommitDate: Mon Jul 3 16:42:23 2017 -0400

    Compile and write stylesheets for PDF rendering
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1465081

 app/assets/stylesheets/pdf/_fontawesome.scss.erb   | 10 +++++
 app/assets/stylesheets/pdf/_patternfly.scss.erb    | 10 +++++
 app/assets/stylesheets/pdf/_report.scss            | 25 +++++++++++
 app/assets/stylesheets/pdf/_summary.scss           | 48 ++++++++++++++++++++++
 app/assets/stylesheets/pdf_report.css              | 31 +++-----------
 app/assets/stylesheets/pdf_summary.css             | 46 +++------------------
 app/controllers/application_controller.rb          |  1 +
 .../application_controller/report_downloads.rb     | 13 ++++++
 app/helpers/image_encode_helper.rb                 | 31 ++++++++++++++
 app/helpers/quadicon_helper.rb                     |  7 ++--
 app/views/layouts/_show_pdf.html.haml              |  2 +-
 app/views/shared/summary/_textual.html.haml        |  3 +-
 .../shared/summary/_textual_multilink.html.haml    |  6 ++-
 .../shared/summary/_textual_multivalue.html.haml   |  3 +-
 app/views/shared/summary/_textual_tags.html.haml   |  6 ++-
 lib/asset_writer.rb                                | 33 +++++++++++++++
 lib/pdf_generator.rb                               |  4 +-
 lib/pdf_generator/prince_pdf_generator.rb          | 19 ++++++---
 spec/helpers/quadicon_helper_spec.rb               |  2 +
 .../catalog/_sandt_tree_show.html.haml_spec.rb     |  2 +
 .../listnav/_availability_zone.html.haml_spec.rb   |  3 +-
 .../listnav/_cloud_network.html.haml_spec.rb       |  3 +-
 .../listnav/_cloud_subnet.html.haml_spec.rb        |  3 +-
 .../listnav/_cloud_tenant.html.haml_spec.rb        |  3 +-
 .../layouts/listnav/_ems_cloud.html.haml_spec.rb   |  3 +-
 .../layouts/listnav/_ems_cluster.html.haml_spec.rb |  3 +-
 .../listnav/_ems_container.html.haml_spec.rb       |  3 +-
 .../layouts/listnav/_ems_network.html.haml_spec.rb |  3 +-
 .../layouts/listnav/_flavor.html.haml_spec.rb      |  3 +-
 .../layouts/listnav/_floating_ip.html.haml_spec.rb |  3 +-
 .../listnav/_host_aggregate.html.haml_spec.rb      |  3 +-
 .../listnav/_load_balancer.html.haml_spec.rb       |  3 +-
 .../listnav/_network_port.html.haml_spec.rb        |  3 +-
 .../listnav/_network_router.html.haml_spec.rb      |  3 +-
 .../listnav/_orchestration_stack.html.haml_spec.rb |  3 +-
 .../listnav/_persistent_volume.html.haml_spec.rb   |  3 +-
 .../listnav/_security_group.html.haml_spec.rb      |  3 +-
 .../views/ems_common/_show.html.haml_spec.rb       |  2 +
 38 files changed, 256 insertions(+), 99 deletions(-)
 create mode 100644 app/assets/stylesheets/pdf/_fontawesome.scss.erb
 create mode 100644 app/assets/stylesheets/pdf/_patternfly.scss.erb
 create mode 100644 app/assets/stylesheets/pdf/_report.scss
 create mode 100644 app/assets/stylesheets/pdf/_summary.scss
 create mode 100644 app/helpers/image_encode_helper.rb
 create mode 100644 lib/asset_writer.rb
Comment 4 CFME Bot 2017-07-07 15:31:03 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b744bb6ce376e7abe972fa45695497ed60d4fd18

commit b744bb6ce376e7abe972fa45695497ed60d4fd18
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu May 11 15:59:39 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jul 7 15:24:51 2017 -0400

    Merge pull request #1332 from hayesr/fix_pdf_stylesheet_ext
    
    Fix missing stylesheet extension
    (cherry picked from commit 6d21b2eca5efd704e0da9ede5455eb2779972ecc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1465081

 app/controllers/application_controller/report_downloads.rb | 2 +-
 spec/controllers/ems_common_controller_spec.rb             | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 7 lgalis 2017-10-16 14:43:14 EDT
The PDF download button is still present for the provider summary upstream. Will test in 5.7.4.
Comment 18 errata-xmlrpc 2017-12-18 15:26:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.